varying vec2 uv[15];

void main()
{
    gl_Position = ftransform();
    
    uv[ 0] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y - 7.0);
    uv[ 1] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y - 6.0);
    uv[ 2] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y - 5.0);
    uv[ 3] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y - 4.0);
    uv[ 4] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y - 3.0);
    uv[ 5] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y - 2.0);
    uv[ 6] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y - 1.0);
    uv[ 7] = gl_MultiTexCoord0.xy;
    uv[ 8] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y + 1.0);
    uv[ 9] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y + 2.0);
    uv[10] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y + 3.0);
    uv[11] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y + 4.0);
    uv[12] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y + 5.0);
    uv[13] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y + 6.0);
    uv[14] = vec2(gl_MultiTexCoord0.x, gl_MultiTexCoord0.y + 7.0);
}